{% load wagtailcore_tags wagtailimages_tags humanize %}

<div class="col-12 col-md-4 mb-4">
  <a class="card project" href="{% pageurl project %}">
    {% image project.photo fill-400x230 as img %}
    <img data-src="{{ img.url }}" class="lazyload img-fluid card-img-top" alt="{{ project.title }}">
    <div class="card-body">
      <h5>{{ project.title }}</h5>
      <p>{{ project.perex }}</p>
    </div>
    <div class="card-footer">
      {% if project.expected_amount %}
      <div class="progress">
        <div class="progress-bar" role="progressbar" style="width: {{ project.donated_percentage }}%" aria-valuenow="{{ project.donated_percentage }}" aria-valuemin="0" aria-valuemax="100"></div>
      </div>
      <p>
        Vybráno <strong>{{ project.get_donated_amount|intcomma }}&nbsp;Kč</strong>
        z <strong>{{ project.expected_amount|intcomma }}&nbsp;Kč</strong>
      </p>
      {% else %}
      <p>Zatím vybráno <strong>{{ project.get_donated_amount|intcomma }}&nbsp;Kč</strong></p>
      {% endif %}
    </div>

    {% if project.is_new %}
      <ul class="project__flags">
        <li class="project__flag new">Nový projekt</li>
        {# TODO <li class="project__flag almost">Už jen kousek</li> #}
      </ul>
    {% endif %}
  </a>
</div><!-- /column -->
